clearWarnings {arf3DS4} | R Documentation

## Clear warnings of a model object.

### Description

Clearwarnings clears all warnings of a model object, sets the valid slot to `TRUE` and saves the model object. It asks for confirmation.

### Usage

    clearWarnings(arfmodel, resetValid = T)

### Arguments

`arfmodel` | Object of class "model" (see `model`)
`resetValid` | If `TRUE` set the `@valid` slot to `TRUE`, else the `@valid` slot is left unchanged.

### Details

Warnings are only cleared when starting the minimization procedure on a model object. After minimization all warnings are added to the `warnings` slot.

### Value

None

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### See Also

`model`

[Package arf3DS4 version 2.5-10 Index]